<!DOCTYPE html>

<html lang="en" data-content_root="./">
  <head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="viewport" content="width=device-width, initial-scale=1" />

    <title>sagace.auth.interfaces package &#8212; sagace 2025 documentation</title>
    <link rel="stylesheet" type="text/css" href="_static/pygments.css?v=5ecbeea2" />
    <link rel="stylesheet" type="text/css" href="_static/basic.css?v=b08954a9" />
    <link rel="stylesheet" type="text/css" href="_static/alabaster.css?v=27fed22d" />
    <script src="_static/documentation_options.js?v=cb975c41"></script>
    <script src="_static/doctools.js?v=9bcbadda"></script>
    <script src="_static/sphinx_highlight.js?v=dc90522c"></script>
    <link rel="index" title="Index" href="genindex.html" />
    <link rel="search" title="Search" href="search.html" />
    <link rel="next" title="sagace.core package" href="sagace.core.html" />
    <link rel="prev" title="sagace.auth.infrastructure package" href="sagace.auth.infrastructure.html" />
   
  <link rel="stylesheet" href="_static/custom.css" type="text/css" />
  

  
  

  </head><body>
  

    <div class="document">
      <div class="documentwrapper">
        <div class="bodywrapper">
          

          <div class="body" role="main">
            
  <section id="sagace-auth-interfaces-package">
<h1>sagace.auth.interfaces package<a class="headerlink" href="#sagace-auth-interfaces-package" title="Link to this heading">¶</a></h1>
<section id="submodules">
<h2>Submodules<a class="headerlink" href="#submodules" title="Link to this heading">¶</a></h2>
</section>
<section id="module-sagace.auth.interfaces.authentication_service">
<span id="sagace-auth-interfaces-authentication-service-module"></span><h2>sagace.auth.interfaces.authentication_service module<a class="headerlink" href="#module-sagace.auth.interfaces.authentication_service" title="Link to this heading">¶</a></h2>
<hr class="docutils" />
<section id="descricao">
<h3>Descrição:<a class="headerlink" href="#descricao" title="Link to this heading">¶</a></h3>
<p>Este módulo fornece um serviço de autenticação para facilitar o uso do sistema SAGACE.
A classe <cite>AuthenticationService</cite> encapsula a lógica de autenticação, delegando o processo
para a classe de caso de uso <cite>AuthenticateUser</cite>, que por sua vez utiliza <cite>AuthenticationAPI</cite>.</p>
<p>Principais funcionalidades:</p>
<ul class="simple">
<li><p>Abstrai a autenticação de usuários, simplificando a interface.</p></li>
<li><p>Delegação do fluxo de autenticação conforme o princípio <strong>Single Responsibility</strong> (S - SOLID).</p></li>
<li><p>Facilita a reutilização da lógica de autenticação em diferentes partes do sistema.</p></li>
</ul>
<p>Classes:</p>
<ul class="simple">
<li><p><code class="docutils literal notranslate"><span class="pre">AuthenticationService</span></code>: Serviço de autenticação de usuários.</p></li>
</ul>
<p>Exemplo de uso:</p>
<div class="highlight-python notranslate"><div class="highlight"><pre><span></span><span class="kn">from</span><span class="w"> </span><span class="nn">sagace.application</span><span class="w"> </span><span class="kn">import</span> <span class="n">AuthenticationService</span>
<span class="kn">from</span><span class="w"> </span><span class="nn">sagace.core</span><span class="w"> </span><span class="kn">import</span> <span class="n">TokenStorage</span>

<span class="n">service</span> <span class="o">=</span> <span class="n">AuthenticationService</span><span class="p">()</span>
<span class="n">token_storage</span> <span class="o">=</span> <span class="n">TokenStorage</span><span class="p">()</span>
<span class="n">token</span> <span class="o">=</span> <span class="n">service</span><span class="o">.</span><span class="n">login</span><span class="p">(</span><span class="s2">&quot;https://api.sagace.online&quot;</span><span class="p">,</span> <span class="s2">&quot;usuario&quot;</span><span class="p">,</span> <span class="s2">&quot;senha&quot;</span><span class="p">,</span> <span class="s2">&quot;app_token&quot;</span><span class="p">,</span> <span class="n">token_storage</span><span class="p">)</span>
<span class="nb">print</span><span class="p">(</span><span class="n">token</span><span class="p">)</span>
</pre></div>
</div>
<p>Autor: Diego Yosiura
Última Atualização: 27/02/2025 15:32
Criado em: 27/02/2025 15:32
Copyright: (c) Ampere Consultoria Ltda
Projeto Original: sagace-v2-package
IDE: PyCharm</p>
</section>
<dl class="py class">
<dt class="sig sig-object py" id="sagace.auth.interfaces.authentication_service.AuthenticationService">
<em class="property"><span class="k"><span class="pre">class</span></span><span class="w"> </span></em><span class="sig-prename descclassname"><span class="pre">sagace.auth.interfaces.authentication_service.</span></span><span class="sig-name descname"><span class="pre">AuthenticationService</span></span><a class="reference internal" href="_modules/sagace/auth/interfaces/authentication_service.html#AuthenticationService"><span class="viewcode-link"><span class="pre">[source]</span></span></a><a class="headerlink" href="#sagace.auth.interfaces.authentication_service.AuthenticationService" title="Link to this definition">¶</a></dt>
<dd><p>Bases: <code class="xref py py-class docutils literal notranslate"><span class="pre">object</span></code></p>
<p>Serviço de autenticação para facilitar o uso do sistema.</p>
<p>Esta classe abstrai a autenticação de usuários, centralizando o fluxo em <cite>AuthenticateUser</cite>.
Segue o princípio <strong>Dependency Inversion (D - SOLID)</strong>, garantindo que a implementação de
autenticação possa ser alterada sem impactar os consumidores do serviço.</p>
<dl class="py method">
<dt class="sig sig-object py" id="sagace.auth.interfaces.authentication_service.AuthenticationService.login">
<span class="sig-name descname"><span class="pre">login</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">base_url</span></span><span class="p"><span class="pre">:</span></span><span class="w"> </span><span class="n"><span class="pre">str</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">username</span></span><span class="p"><span class="pre">:</span></span><span class="w"> </span><span class="n"><span class="pre">str</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">password</span></span><span class="p"><span class="pre">:</span></span><span class="w"> </span><span class="n"><span class="pre">str</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">application_token</span></span><span class="p"><span class="pre">:</span></span><span class="w"> </span><span class="n"><span class="pre">str</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">token_storage</span></span><span class="p"><span class="pre">:</span></span><span class="w"> </span><span class="n"><a class="reference internal" href="sagace.core.html#sagace.core.token_storage.TokenStorage" title="sagace.core.token_storage.TokenStorage"><span class="pre">TokenStorage</span></a></span></em><span class="sig-paren">)</span> <span class="sig-return"><span class="sig-return-icon">&#x2192;</span> <span class="sig-return-typehint"><span class="pre">str</span></span></span><a class="reference internal" href="_modules/sagace/auth/interfaces/authentication_service.html#AuthenticationService.login"><span class="viewcode-link"><span class="pre">[source]</span></span></a><a class="headerlink" href="#sagace.auth.interfaces.authentication_service.AuthenticationService.login" title="Link to this definition">¶</a></dt>
<dd><p>Realiza login e retorna o token JWT.</p>
<dl class="field-list simple">
<dt class="field-odd">Parameters<span class="colon">:</span></dt>
<dd class="field-odd"><ul class="simple">
<li><p><strong>base_url</strong> (<em>str</em>) – URL base da API de autenticação.</p></li>
<li><p><strong>username</strong> (<em>str</em>) – Nome de usuário para autenticação.</p></li>
<li><p><strong>password</strong> (<em>str</em>) – Senha do usuário.</p></li>
<li><p><strong>application_token</strong> (<em>str</em>) – Token da aplicação para autenticação.</p></li>
<li><p><strong>token_storage</strong> (<a class="reference internal" href="sagace.core.html#sagace.core.token_storage.TokenStorage" title="sagace.core.token_storage.TokenStorage"><em>TokenStorage</em></a>) – Instância responsável por armazenar o token JWT.</p></li>
</ul>
</dd>
<dt class="field-even">Returns<span class="colon">:</span></dt>
<dd class="field-even"><p>Token de autenticação JWT.</p>
</dd>
<dt class="field-odd">Return type<span class="colon">:</span></dt>
<dd class="field-odd"><p>str</p>
</dd>
</dl>
</dd></dl>

</dd></dl>

</section>
<section id="module-sagace.auth.interfaces">
<span id="module-contents"></span><h2>Module contents<a class="headerlink" href="#module-sagace.auth.interfaces" title="Link to this heading">¶</a></h2>
<hr class="docutils" />
<section id="description">
<h3>Description:<a class="headerlink" href="#description" title="Link to this heading">¶</a></h3>
<p>Obs.:</p>
<p>Author:           &#64;diego.yosiura
Last Update:      27/02/2025 15:29
Created:          27/02/2025 15:29
Copyright:        (c) Ampere Consultoria Ltda
Original Project: sagace-v2-package
IDE:              PyCharm</p>
</section>
</section>
</section>


          </div>
          
        </div>
      </div>
      <div class="sphinxsidebar" role="navigation" aria-label="Main">
        <div class="sphinxsidebarwrapper">
<h1 class="logo"><a href="index.html">sagace</a></h1>









<search id="searchbox" style="display: none" role="search">
    <div class="searchformwrapper">
    <form class="search" action="search.html" method="get">
      <input type="text" name="q" aria-labelledby="searchlabel" autocomplete="off" autocorrect="off" autocapitalize="off" spellcheck="false" placeholder="Search"/>
      <input type="submit" value="Go" />
    </form>
    </div>
</search>
<script>document.getElementById('searchbox').style.display = "block"</script><h3>Navigation</h3>
<p class="caption" role="heading"><span class="caption-text">Conteúdo:</span></p>
<ul class="current">
<li class="toctree-l1 current"><a class="reference internal" href="modules.html">sagace</a><ul class="current">
<li class="toctree-l2 current"><a class="reference internal" href="sagace.html">sagace package</a></li>
</ul>
</li>
</ul>

<div class="relations">
<h3>Related Topics</h3>
<ul>
  <li><a href="index.html">Documentation overview</a><ul>
  <li><a href="modules.html">sagace</a><ul>
  <li><a href="sagace.html">sagace package</a><ul>
  <li><a href="sagace.auth.html">sagace.auth package</a><ul>
      <li>Previous: <a href="sagace.auth.infrastructure.html" title="previous chapter">sagace.auth.infrastructure package</a></li>
      <li>Next: <a href="sagace.core.html" title="next chapter">sagace.core package</a></li>
  </ul></li>
  </ul></li>
  </ul></li>
  </ul></li>
</ul>
</div>








        </div>
      </div>
      <div class="clearer"></div>
    </div>
    <div class="footer">
      &#169;2025, Ampere Consultoria.
      
      |
      Powered by <a href="https://www.sphinx-doc.org/">Sphinx 8.2.1</a>
      &amp; <a href="https://alabaster.readthedocs.io">Alabaster 1.0.0</a>
      
      |
      <a href="_sources/sagace.auth.interfaces.rst.txt"
          rel="nofollow">Page source</a>
    </div>

    

    
  </body>
</html>